Email a Settlement (Company-scoped)
curl --request PUT \
--url https://api.tread-horizon.com/v1/companies/{company-id}/settlements/{settlement-id}/email_settlement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form email=jsmith@example.com \
--form pdf='@example-file'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/settlements/{settlement-id}/email_settlement"
files = { "pdf": ("example-file", open("example-file", "rb")) }
payload = { "email": "jsmith@example.com" }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('email', 'jsmith@example.com');
form.append('pdf', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/settlements/{settlement-id}/email_settlement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Settlements
Email a Settlement (Company-scoped)
Email a Settlement using company-scoped endpoint
This requires edit_settlement permission.
This endpoint allows parent companies to email settlements for their child companies.
PUT
/
v1
/
companies
/
{company-id}
/
settlements
/
{settlement-id}
/
email_settlement
Email a Settlement (Company-scoped)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Response
No Content
⌘I